PixMind Docs
API 参考视频模型Happy Horse 1.0 视频生成

Happy Horse 1.0 视频生成

面向产品展示与概念镜头的文生或图生短视频。

面向产品展示、概念镜头和参考图锚定运动的文生或图生短视频。

提供方

MiniMax

模型 ID

happyhorse-1.0

请求端点

POST /api-platform/v1/generations

模型说明

  • 该线路不生成原生音频。

请求参数

参数类型必填说明
modelstring是

稳定的 PixMind 模型 ID,请使用 `happyhorse-1.0`。

可选值: happyhorse-1.0

promptstring是

用于生成或编辑的自然语言指令。

resolutionstring否

输出视频分辨率,该字段会影响请求价格。

可选值: 720p, 1080p

默认值: 720p

durationinteger否

期望生成的视频时长,单位为秒。

可选值: 5, 10, 15

默认值: 5

aspectRatiostring否

期望输出画面比例。

可选值: 16:9, 9:16, 1:1, 4:3, 3:4

默认值: 16:9

imageUrlstring (URI)否

图生视频使用的起始图片。

请求示例

cURL
curl https://aihub-admin.aimix.pro/api-platform/v1/generations \
  -H "Authorization: Bearer $PIXMIND_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "happyhorse-1.0",
  "prompt": "A controlled product turntable shot with soft cinematic camera motion",
  "duration": 5,
  "resolution": "720p",
  "aspectRatio": "1:1",
  "imageUrl": "https://example.com/product.jpg"
}'
JavaScript
const response = await fetch("https://aihub-admin.aimix.pro/api-platform/v1/generations", {
  method: "POST",
  headers: {
    "Authorization": `Bearer ${process.env.PIXMIND_API_KEY}`,
    "Content-Type": "application/json"
  },
  body: JSON.stringify({
  "model": "happyhorse-1.0",
  "prompt": "A controlled product turntable shot with soft cinematic camera motion",
  "duration": 5,
  "resolution": "720p",
  "aspectRatio": "1:1",
  "imageUrl": "https://example.com/product.jpg"
})
});

const task = await response.json();

任务受理响应

生成任务为异步处理。请保存 taskId,并轮询 GET /api-platform/v1/tasks/{taskId},直到状态为 ready 或 failed。

200 OK
{
  "code": 1000,
  "data": {
    "id": "img_44160",
    "taskId": 44160,
    "type": "video",
    "model": "happyhorse-1.0",
    "status": "processing"
  }
}

API 定价

配置价格
720P$0.19 / second
1080P$0.28 / second

API 使用 apiPlatform 角色独立计费,与 PixMind Studio 积分分开;任务受理响应中的价格快照是最终计费依据。